Orxonox: orxonox::MouseHandler Class Reference

# orxonox::MouseHandler Class Reference

Interface class used for mouse input listeners. More...

`#include <src/core/input/InputInterfaces.h>`

Inheritance diagram for orxonox::MouseHandler:

List of all members.

## Public Member Functions

virtual void | mouseButtonHeld (MouseButtonCode::ByEnum id)=0
virtual void | mouseButtonPressed (MouseButtonCode::ByEnum id)=0
virtual void | mouseButtonReleased (MouseButtonCode::ByEnum id)=0
virtual void | mouseMoved (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize)=0
virtual void | mouseScrolled (int abs, int rel)=0
virtual void | updateMouse (float dt)=0
virtual | ~MouseHandler ()

## Detailed Description

Interface class used for mouse input listeners.

## Constructor & Destructor Documentation

virtual orxonox::MouseHandler::~MouseHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void orxonox::MouseHandler::mouseButtonHeld | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::mouseButtonHeld().

virtual void orxonox::MouseHandler::mouseButtonPressed | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::mouseButtonPressed().

virtual void orxonox::MouseHandler::mouseButtonReleased | ( | MouseButtonCode::ByEnum | id | ) | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::mouseButtonReleased().

virtual void orxonox::MouseHandler::mouseMoved | ( | IntVector2 | abs,
|  | IntVector2 | rel,
|  | IntVector2 | clippingSize |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::mouseMoved().

virtual void orxonox::MouseHandler::mouseScrolled | ( | int | abs,
|  | int | rel |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::mouseScrolled().

virtual void orxonox::MouseHandler::updateMouse | ( | float | dt | ) | `[pure virtual]`

Implemented in orxonox::EmptyHandler, orxonox::KeyBinder, and orxonox::GUIManager.

Referenced by orxonox::SimpleInputState::updateInput().

The documentation for this class was generated from the following file:

- src/core/input/InputInterfaces.h